SharePoint Framework v1.10 release notes

New in this release, preview code for Office Add-Ins and a new Extension type Search Extensions. We also added support for personal apps in Microsoft Teams and Teams mobile support.

Released: January 7, 2020

Upgrading projects from v1.9.1 to v1.10

  1. In the project's package.json file, identify all SPFx v1.9.1 packages. For each SPFx package:
    1. Uninstall the existing v1.9.1 package:

      npm uninstall @microsoft/{spfx-package-name}@1.9.1
      
    2. Install the refreshed v1.10 package:

      npm install @microsoft/{spfx-package-name}@1.10.0 --save --save-exact
      

Tip

The CLI for Microsoft 365 provides an easy step-by-step guidance to upgrade your solutions to latest SharePoint Framework version.

Note

The CLI for Microsoft 365 is an open-source solution with active community providing support for it. There is no SLA for the open-source tool support from Microsoft.

New features and capabilities

Changes in this release

  • The default compiler for new projects is now TypeScript v3.3
  • We've migrated the SharePoint Online to Office UI Fabric React 7. The next release of SPFx will include support for third-party components. At the present time, you'll experience rendering issues if you try to use Office UI Fabric React and have a component that loads the legacy css (either because it was made with version < v1.8.2, or has the UseLegacyCSS flag set to true in the manifest).
  • We continue to improve the admin experience around approving API requests in the SharePoint ONline tenant admin UIs.

Deprecations and removed items in this release

  • We're moving towards using require.js for the loader, rather than system.js. This is already the loader used for extensions running in the list app. There shouldn't be a change for you. The next version of SPFx will use the require.js loader for the local workbench. The online workbench will migrate to require.js over the next month or two, but we'll have a query string override to help diagnose any issues with new code.
  • We'll be removing support for Node 8 in the next release. The goal is to also introduce support for Node 12 at that time.
  • We're deprecating the Knockout-based web part template from the Yeoman generator due to low usage. It will be fully removed with the v1.11 release
  • Accessing Microsoft Teams context using this.context.microsoftTeams property has been deprecated, you should be using this.context.sdks.microsoftTeams property instead.